<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.OnlineRecord" table="OnlineRecord" schema="dbo" catalog="gserver_synth">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="native" />
        </id>
        <property name="userId" type="java.lang.Integer" update="false">
            <column name="userID" not-null="true" default="0"  />
        </property>
        <property name="appType" type="java.lang.Integer" update="false">
            <column name="app_type" not-null="true" default="0"  />
        </property>
        <property name="userType" type="java.lang.Integer" update="false">
            <column name="user_type" not-null="true" default="0"  />
        </property>
        <property name="lat" type="java.lang.Float" update="false">
            <column name="lat" precision="53" scale="0" not-null="true" default="0.0"   />
        </property>
        <property name="lng" type="java.lang.Float" update="false">
            <column name="lng" precision="53" scale="0" not-null="true" default="0.0"   />
        </property>
        <property name="mobileType" type="java.lang.Integer" update="false">
            <column name="mobile_type" not-null="true" default="0"   />
        </property>
        <property name="serverId" type="java.lang.Integer" update="false">
            <column name="serverId" not-null="true" default="0"   />
        </property>
        <property name="isOnline" type="java.lang.Integer" update="false">
            <column name="isOnline" not-null="true" default="0"   />
        </property>
        <property name="receiveTime" type="java.util.Date" update="false">
            <column name="receiveTime" length="23" not-null="true" default="getdate()" />
        </property>
        <property name="date" type="java.lang.String" update="false">
            <column name="date" length="50" not-null="true" default=""   />
        </property>
        <property name="ip" type="java.lang.String" update="false">
            <column name="ip" length="50" not-null="true" default=""   />
        </property>
    </class>
</hibernate-mapping>
